questions:
- variable: "namespace"
  label: Kafka namespace
  type: hidden
  default: "${$kafka_cluster_namespace}"     
- variable: "$kafka_cluster_namespace"
  label: Kafka Cluster
  type: kafka-cluster
  required: true
  default: ""       
- variable: "$topicName"
  label: Topic
  type: multiline
  required: true
  default: "public.table1\npublic.table2"  
- variable: "topicSize"
  label: Topic Size
  type: enum
  required: true
  default: "" 
  options:
  - "small"
  - "middle"
  - "large"
- variable: "$topic.partition"
  label: Partition
  type: string
  required: true
  default: "3" 
  show_if: "topicSize=small"
- variable: "$topic.partition"
  label: Partition
  type: string
  required: true
  default: "6" 
  show_if: "topicSize=middle" 
- variable: "$topic.partition"
  label: Partition
  type: string
  required: true
  default: "12" 
  show_if: "topicSize=large" 
- variable: "$topic.retention"
  label: Retention
  type: string
  required: true
  default: "-1" 
  show_if: "topicSize=small"  
- variable: "$topic.retention"
  label: Retention
  type: string
  required: true
  default: "1073741824" 
  show_if: "topicSize=middle"
- variable: "$topic.retention"
  label: Retention
  type: string
  required: true
  default: "3221225472" 
  show_if: "topicSize=large"  
- variable: "$topic.segment"
  label: Segment
  type: string
  required: true
  default: "14" 
  show_if: "topicSize=small"  
- variable: "$topic.segment"
  label: Segment
  type: string
  required: true
  default: "268435456" 
  show_if: "topicSize=middle"  
- variable: "$topic.segment"
  label: Segment
  type: string
  required: true
  default: "805306368" 
  show_if: "topicSize=large"